[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCServer.OnMessage

Event triggered when a pessage arrives

## Declaration

Source position: simpleipc.pp line 112

`published property TSimpleIPCServer.OnMessage: TNotifyEvent read FOnMessage write FOnMessage;`

## Description

OnMessage is called by ReadMessage when a message has been read. The actual message data can be retrieved with one of the StringMessage, MsgData or MsgType properties.

## See also

StringMessage |  | Last message as a string.
MsgData |  | Last message data
MsgType |  | Last message type

The latest version of this document can be found at lazarus-ccr.sourceforge.net .